Slides Generate
curl --request POST \
--url https://backend.overtenai.com/api/v1/slides/generate \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"prompt": "<string>",
"mode": "action",
"run_id": "<string>",
"init_file": "<string>",
"context_files": [
"<unknown>"
],
"data_sources": [
{}
],
"image_assets": [
{}
],
"brand": {},
"async": false,
"webhook_url": "<string>",
"idempotency_key": "<string>",
"file_name": "<string>",
"timeout_ms": 905000
}
'import requests
url = "https://backend.overtenai.com/api/v1/slides/generate"
payload = {
"prompt": "<string>",
"mode": "action",
"run_id": "<string>",
"init_file": "<string>",
"context_files": ["<unknown>"],
"data_sources": [{}],
"image_assets": [{}],
"brand": {},
"async": False,
"webhook_url": "<string>",
"idempotency_key": "<string>",
"file_name": "<string>",
"timeout_ms": 905000
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
mode: 'action',
run_id: '<string>',
init_file: '<string>',
context_files: ['<unknown>'],
data_sources: [{}],
image_assets: [{}],
brand: {},
async: false,
webhook_url: '<string>',
idempotency_key: '<string>',
file_name: '<string>',
timeout_ms: 905000
})
};
fetch('https://backend.overtenai.com/api/v1/slides/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}public
Slides Generate
POST
/
slides
/
generate
Slides Generate
Authorizations
Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.
Body
application/json
Required string length:
1 - 10000Available options:
action, ask Provide to resume an existing run
file_id of an initial document
Required range:
10000 <= x <= 1800000Response
Successful Response
⌘I
